GETSN(9)

NAME
getsn - read user input from the console

SYNOPSIS
#include <lib/libkern/libkern.h>
size_t
getsn(char *cp, size_t size);

DESCRIPTION
The getsn() function reads user input from the console and returns on newline. The result is written into cp, which is assumed to be size bytes long.

RETURN VALUES
getsn() returns the total length of the string it tried to create.